import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDockerNetworkConfig extends cdktf.TerraformMetaArguments {
    /**
    * The name of the Docker network.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/docker/d/network#name DataDockerNetwork#name}
    */
    readonly name: string;
}
export interface DataDockerNetworkIpamConfig {
}
export declare function dataDockerNetworkIpamConfigToTerraform(struct?: DataDockerNetworkIpamConfig): any;
export declare class DataDockerNetworkIpamConfigOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataDockerNetworkIpamConfig | undefined;
    set internalValue(value: DataDockerNetworkIpamConfig | undefined);
    auxAddress(key: string): string | cdktf.IResolvable;
    get gateway(): string;
    get ipRange(): string;
    get subnet(): string;
}
export declare class DataDockerNetworkIpamConfigList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataDockerNetworkIpamConfigOutputReference;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/docker/d/network docker_network}
*/
export declare class DataDockerNetwork extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "docker_network";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/docker/d/network docker_network} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDockerNetworkConfig
    */
    constructor(scope: Construct, id: string, config: DataDockerNetworkConfig);
    get driver(): string;
    get id(): string;
    get internal(): cdktf.IResolvable;
    private _ipamConfig;
    get ipamConfig(): DataDockerNetworkIpamConfigList;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    options(key: string): string | cdktf.IResolvable;
    get scope(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
